# Packmangroup: Multimedia
# Packmanpackagename: dvdwizard
# Packman: Manfred Tremmel
# Packmandepends: dvdauthor toolame mjpegtools transcode
# Packmanpackagedesc: <p>dvdwizard is a wrapper-script which incorporates a fully automated creation of a DVD-structure with Chapters and menus from one or more mpeg-streams.</p>
# Packmanpackagedesc_de: <p>dvdwizard ist ein Wrapper-Skript welches ein vollautomatisches Erstellen einer Video-DVD-Struktur mit Kapiteln und Men&uuml;s auf Basis eins oder mehrerer MPEG-Streams erm&ouml;glicht.</p>

Name:           dvdwizard
Summary:        Automated creation of DVD structure
Summary(de):    Automatisierte Erzeugung einer DVD-Struktur
License:        GPLv3
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://dvdwizard.wershofen.net
Version:        0.7.0
Release:        1.pm.1.5
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-root
BuildArch:      noarch
Requires:       dvdauthor
Requires:       ImageMagick >= 6.3.6
Requires:       mjpegtools >= 1.8
Requires:       transcode
Requires(post): info
Requires(preun): info
BuildRequires:  ImageMagick >= 6.3.6
BuildRequires:  texlive
BuildRequires:  dvdauthor
BuildRequires:  mjpegtools >= 1.8

%description
DVDwizard is a collection of scripts for fully automated creation of a DVD 
structure including a title menu, chapter menus optional audio selection menu
and subtitle seclection menu from one or more DVD compatible MPEG streams. 
You may burn the generated DVD structure to a DVD, e.g. using growisofs, and
play this DVD on a stand alone DVD player.

DVDwizard is distributed under GPL 3.

%description -l de
DVDwizard ist eine Sammlung von Scripten zur vollständig automatischen 
Erzeugung einer DVD-Struktur einschließlich Titelmenü, Kapitelmenüs und
bei Bedarf Auswahlmenüs für die Audio-Spur oder für Untertitel aus einem oder 
mehreren MPEG-Streams. Die erzeugte DVD-Struktur kann dann beispielsweise mit 
growisofs auf eine DVD gebrannt werden, um auf einem DVD-Spieler abgespielt
zu werden.

DVDwizard wird unter der GPL 3 verteil.

%prep
%setup

%build
sed -i "s|prefix *= */usr/local|prefix = /usr|g" Makefile
%{__make}

%install
%{__install} -d -m 755 %{buildroot}%{_bindir}
%{__install} -d -m 755 %{buildroot}%{_sysconfdir}
%{__install} -d -m 755 %{buildroot}%{_datadir}/%{name}
%{__install} -d -m 755 %{buildroot}%{_mandir}/man1
%{__install} -d -m 755 %{buildroot}%{_mandir}/man5
%{__install} -d -m 755 %{buildroot}%{__infodir}
%{makeinstall}
%{__rm} -rf %{buildroot}/%{_datadir}/doc/%{name}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/DVDwizard.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/DVDwizard.info %{_infodir}/dir || :
fi

%files
%defattr(-, root, root)
%doc AUTHORS CHANGELOG COPYING CONTRIB README* TODO* TOOLS 
%doc DVDwizard.pdf DVDwizard.html dvdwizard.conf.sample
%dir %{_datadir}/%{name}
%{_bindir}/*
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man1/dvdwizard.1.gz
%{_mandir}/man1/mk_vmgm.1.gz
%{_mandir}/man1/mk_vtsm.1.gz
%{_mandir}/man5/dvdwizard.conf.5.gz
%{_infodir}/DVDwizard.info.gz

%changelog
* Sat Aug  6 2011 Manfred.Tremmel@iiv.de
- update to 0.7.0
* Mon Apr 25 2011 Manfred.Tremmel@iiv.de
- update to 0.6.4
* Tue Oct  5 2010 Manfred.Tremmel@iiv.de
- update to 0.6.3
* Sat Jan  2 2010 lnussel@suse.de
- no longer require twolame
* Sat Dec 12 2009 Manfred.Tremmel@iiv.de
- update to 0.6.2
* Wed Nov 18 2009 Manfred.Tremmel@iiv.de
- update to 0.6.1
* Sun Sep 13 2009 Manfred.Tremmel@iiv.de
- update to 0.6.0
* Mon Sep  7 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Wed Apr  8 2009 Manfred.Tremmel@iiv.de
- update to 0.5.7
- homepage back to http://dvdwizard.wershofen.net, has included
  the changes from joonet
* Mon Feb 23 2009 Manfred.Tremmel@iiv.de
- update to 0.5.6
* Mon Feb  9 2009 Manfred.Tremmel@iiv.de
- update to 0.5.5
* Sat Feb  7 2009 Manfred.Tremmel@iiv.de
- switched to unofficial version from http://www.joonet.de/dvdwizard
* Tue Jan 27 2009 Manfred.Tremmel@iiv.de
- included a patch to fix the capturing problems with transcode 1.1.0
* Tue Jan  6 2009 Manfred.Tremmel@iiv.de
- included a patch to fix some of the problems with ImageMagic >= 6.4
* Mon May 28 2007 Manfred.Tremmel@iiv.de
- update to 0.5.1 (final version)
* Sun Jan 14 2007 Manfred.Tremmel@iiv.de
- update to developer snapshot from 2007-01-13 including
  the twolame change
* Sat Jan  6 2007 Manfred.Tremmel@iiv.de
- the new twolame version needs -r option to work,
  added to the patch
* Tue Nov  7 2006 Manfred.Tremmel@iiv.de
- update to developer snapshot, using twolame to solve
  problems with toolame on x86_64 architecture
* Fri Sep  1 2006 Manfred.Tremmel@iiv.de
- update to 0.5 (final version)
* Fri Aug 11 2006 Manfred.Tremmel@iiv.de
- update to 0.5 (preview version)
* Wed Jan 11 2006 Manfred.Tremmel@iiv.de
- added a patch for SUSE 10.0 to solve mpeg detection problem
* Mon Jan  9 2006 Manfred.Tremmel@iiv.de
- update to 0.4.2c
* Wed Jan  4 2006 Manfred.Tremmel@iiv.de
- fixed the path fixing patch
* Tue Jan  3 2006 Manfred.Tremmel@iiv.de
- update to 0.4.2b
* Thu Dec 29 2005 Manfred.Tremmel@iiv.de
- some updates for mjpegtools 1.8 (thanks to Stefan Seyfried) and
  to fix some default pathes
* Sun Jun 26 2005 Manfred.Tremmel@iiv.de
- initial spec file for Packman, based on the specfile from Guillaume Rousse
